package com.keyware.shandan.bianmu.mapper;

import com.keyware.shandan.system.entity.SysOrg;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface AnalysisMapper {
    List<Map<String, Object>> countsBy12Months();

    List<Map<String, Object>> countsByResourceType(String orgId);

    List<Map<String, Object>> countsByDirectoryLink(String orgId);

    List<Map<String, Object>> countsByOrgResourceNumber(String orgId);

    List<Map<String, Object>> countsByUserResourceNumber(String orgId);
}
